package com.taikor.investment.adapter;

import android.app.Activity;
import android.widget.TextView;

import com.taikor.investment.base.BaseAdapter;
import com.taikor.investment.bean.Product;
import com.taikor.investment.R;

/**
 * 基金列适配器
 * Created by Any on 2017/4/12.
 */

public class FundAdapter extends BaseAdapter<Product> {

    public FundAdapter(Activity context) {
        super(context);
    }

    @Override
    protected int getItemLayoutId(int itemViewType) {
        return R.layout.item_customer_fund;
    }

    @Override
    protected void handleItem(int itemViewType, int position, Product item, ViewHolder holder, boolean reused) {
        holder.get(R.id.tv_fund_id, TextView.class).setText(item.getProductID());
        holder.get(R.id.tv_fund_name, TextView.class).setText(item.getProductName());
    }
}
